# Enum Class SyKeyboardFocusBehavior

java.lang.Object
java.lang.Enum<SyKeyboardFocusBehavior>
com.io7m.jsycamore.api.keyboard.SyKeyboardFocusBehavior

All Implemented Interfaces:
  `Serializable, Comparable<SyKeyboardFocusBehavior>, Constable`

public enum SyKeyboardFocusBehavior extends Enum<SyKeyboardFocusBehavior>
A specification of how keyboard focus may traverse a component.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IGNORES_FOCUS_AND_CONTINUES_TRAVERSAL`
  The component cannot directly receive focus, but will pass focus to its children if the focus traversal is continued.
  `IGNORES_FOCUS_AND_STOPS_TRAVERSAL`
  The component cannot directly receive focus, and will not pass focus to its children if the focus traversal is continued.
  `RECEIVES_FOCUS_AND_CONTINUES_TRAVERSAL`
  The component can directly receive focus, and will pass focus to its children if the focus traversal is continued.
  `RECEIVES_FOCUS_AND_STOPS_TRAVERSAL`
  The component can directly receive focus, but will not pass focus to its children if the focus traversal is continued.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `continuesFocusTraversal()`
  `boolean`
  `receivesFocus()`
  `static SyKeyboardFocusBehavior`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyKeyboardFocusBehavior[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECEIVES_FOCUS_AND_CONTINUES_TRAVERSAL

    public static final SyKeyboardFocusBehavior RECEIVES_FOCUS_AND_CONTINUES_TRAVERSAL
    The component can directly receive focus, and will pass focus to its children if the focus traversal is continued.

  - ### RECEIVES_FOCUS_AND_STOPS_TRAVERSAL

    public static final SyKeyboardFocusBehavior RECEIVES_FOCUS_AND_STOPS_TRAVERSAL
    The component can directly receive focus, but will not pass focus to its children if the focus traversal is continued.

  - ### IGNORES_FOCUS_AND_CONTINUES_TRAVERSAL

    public static final SyKeyboardFocusBehavior IGNORES_FOCUS_AND_CONTINUES_TRAVERSAL
    The component cannot directly receive focus, but will pass focus to its children if the focus traversal is continued.

  - ### IGNORES_FOCUS_AND_STOPS_TRAVERSAL

    public static final SyKeyboardFocusBehavior IGNORES_FOCUS_AND_STOPS_TRAVERSAL
    The component cannot directly receive focus, and will not pass focus to its children if the focus traversal is continued.

- ## Method Details

  - ### values

    public static SyKeyboardFocusBehavior[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyKeyboardFocusBehavior valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### receivesFocus

    public boolean receivesFocus()
    Returns:
      `true` if this behavior implies that a component will receive focus

  - ### continuesFocusTraversal

    public boolean continuesFocusTraversal()
    Returns:
      `true` if this behavior implies that a component will pass focus to its children